Lists communications templates
curl --request GET \
--url https://api.rootly.com/v1/communications/templates \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "communications_templates",
"attributes": {
"name": "<string>",
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"communication_type_id": "<string>",
"communication_template_stages": [
{
"data": {
"id": "<string>",
"type": "communications_template_stages",
"attributes": {
"email_body": "<string>",
"email_subject": "<string>",
"slack_content": "<string>",
"sms_content": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"communication_stage": {
"id": "<string>",
"name": "<string>"
},
"communication_template": {
"id": "<string>",
"name": "<string>"
}
}
}
}
],
"communication_type": {
"id": "<string>",
"name": "<string>"
}
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/communications/templates \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "communications_templates",
"attributes": {
"name": "<string>",
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"communication_type_id": "<string>",
"communication_template_stages": [
{
"data": {
"id": "<string>",
"type": "communications_template_stages",
"attributes": {
"email_body": "<string>",
"email_subject": "<string>",
"slack_content": "<string>",
"sms_content": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"communication_stage": {
"id": "<string>",
"name": "<string>"
},
"communication_template": {
"id": "<string>",
"name": "<string>"
}
}
}
}
],
"communication_type": {
"id": "<string>",
"name": "<string>"
}
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123
}
}